Bug 20966 - EME design trivializes the demanded loss of control of security and privacy demanded.
EME design trivializes the demanded loss of control of security and privacy d...
Status: RESOLVED NEEDSINFO
Product: HTML WG
Classification: Unclassified
Component: Encrypted Media Extensions
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Adrian Bateman [MSFT]
HTML WG Bugzilla archive list
:
Depends on: 22909 22910
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-12 02:35 UTC by Fred Andrews
Modified: 2013-08-27 14:48 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Andrews 2013-02-12 02:35:44 UTC
EME design trivializes the demanded loss of control of security and privacy demanded.
Comment 1 Adrian Bateman [MSFT] 2013-02-12 13:48:45 UTC
Please provide a pointer to the spec text that should be changed.
Comment 2 Fred Andrews 2013-02-12 20:17:43 UTC
Please revise the specification and I will review it.  The onus is on the proponents not me.
Comment 3 Joe Steele 2013-02-21 23:21:02 UTC
This looks like a duplicate to me and the other bug has much more information.

*** This bug has been marked as a duplicate of bug 20965 ***
Comment 4 Fred Andrews 2013-02-21 23:58:57 UTC
This is certainly a separate issue.  Bug 20965 deals with the actual loss of control of security and privacy, and this bug deals with the trivialization of this loss of control.

Resolutions of bug 20965 would prevent the loss of control.

Resolutions to this bug would ensure that the user was well informed of the loss of control, and had explicitly consented to this loss of control, and that due diligence had occurred to make sure the user was competent (age, mental capacity, etc) to legally consent to the terms, etc.
Comment 5 Joe Steele 2013-02-22 03:56:43 UTC
> Resolutions of bug 20965 would prevent the loss of control.

Given this, there is nothing more to inform the user of. That is why I propose this bug be closed as a duplicate.
Comment 6 Fred Andrews 2013-02-22 12:01:30 UTC
(In reply to comment #5)
> > Resolutions of bug 20965 would prevent the loss of control.
> 
> Given this, there is nothing more to inform the user of. That is why I
> propose this bug be closed as a duplicate.

I agree that if bug 20965 is resolved then this bug is no longer relevant.

However bug 20965 has not been resolved, and I see no resolution in sight, so why did you close it?

The relationship to bug 20965 is not 'duplicate'.  Your response above suggests you understand the real relationship, so it is not appropriate for you to be marking this as a duplicate.

I suggest that the appropriate action is to keep this bug open until bug 20965 is resolved in a way that technically avoids the loss of control of user security and privacy.  Given the rhetoric of the proponents it appears most likely that bug 20965 will be closed as 'won't fix' and then this bug will be very important to address.
Comment 7 Adrian Bateman [MSFT] 2013-02-26 16:47:35 UTC
Added a note to the SOTD calling this out as an open issue as discussed in the telcon:
https://dvcs.w3.org/hg/html-media/rev/ae0432794f4b
http://www.w3.org/2013/02/26-html-media-minutes.html

The task force doesn't yet completely understand the purpose of this bug and needs the reporter to propose specific text that will resolve it as requested in comment 1.
Comment 8 Glenn Adams 2013-07-30 16:02:45 UTC
(In reply to comment #7)
> Added a note to the SOTD calling this out as an open issue as discussed in
> the telcon:
> https://dvcs.w3.org/hg/html-media/rev/ae0432794f4b
> http://www.w3.org/2013/02/26-html-media-minutes.html
> 
> The task force doesn't yet completely understand the purpose of this bug and
> needs the reporter to propose specific text that will resolve it as
> requested in comment 1.

The reporter has not responded with more specific information for over five months. I propose this but be closed without prejudice, and only permit its reopening if new specific information is provided.
Comment 9 Adrian Bateman [MSFT] 2013-08-27 14:48:45 UTC
Resolved without prejudice per meeting discussion:
http://www.w3.org/2013/08/06-html-media-minutes.html#item07